{% extends layout('no-container') %}

{% block breadcrumb %}
    <section class="section hero page-hero position-relative pt-5" id="hero">
        <div class="container page-container">
            <div class="row pt-5">
                <div class="col-lg-12">
                    <div class="title-content">
                        <!-- <h1 class="base-color h3">The best way to become a good web designer</h1> -->
                    </div>
                </div>
            </div>
            <!-- Breadcrumb -->
            <div class="row page-title pb-5">
                <div class="col-12">
                    <ul class="mb-0 breadcrumb">
                        <li class="breadcrumb-item">
                            <a href="{{ url('/') }}">
                                <i class="fa fa-home" aria-hidden="true"></i>
                            </a>
                        </li>
                        <li class="breadcrumb-item">
                            <a href="{{ route('anomaly.module.posts::posts.index') }}">
                                {{ trans('theme::field.blog.blog') }}
                            </a>
                        </li>
                        {% if post.category %}
                            <li class="breadcrumb-item">
                                {{ html_link(post.category.route('view'), post.category.name) }}
                            </li>
                        {% endif %}
                        <li class="breadcrumb-item">{{ post.title }}</li>
                    </ul>
                </div>
            </div>
        </div>
    </section>
{% endblock %}

{% block content %}
    <section id="blog-single" class="section py-5 blog-single">
        <div class="container">
            <div class="row">
                <div class="col-lg-9 blog">
                    <div class="rounded">
                        <div class="text-md-left">
                            <h1 class="mb-4 h4">{{ post.title }}</h1>
                            <div class="entry-meta mb-4">
                                <ul class="list-inline">
                                    <li class="list-inline-item">
                                        <a class="base-color" href="{{ route('anomaly.module.posts::posts.index') }}">
                                            <i class="fa fa-calendar" aria-hidden="true"></i>
                                            {{ post.publish_at.format(config_get('streams::datetime.date_format')) }}
                                        </a>
                                    </li>
                                    <li class="list-inline-item">
                                        <a class="base-color" href="{{ route('anomaly.module.posts::posts.index') }}"
                                           title="Posts by admin" rel="author">
                                            <i class="fa fa-user" aria-hidden="true"></i>
                                            {{ post.author.display_name }}
                                        </a>
                                    </li>
                                    <li class="list-inline-item">
                                        <a class="base-color" href="{{ post.category.route('view') }}"
                                           rel="category tag">
                                            <i class="fa fa-folder-open" aria-hidden="true"></i>
                                            {{ post.category.name }}
                                        </a>
                                    </li>
                                </ul>
                            </div>
                            <div class="entry-image image-border mb-4">
                                {{ img(post.image) }}
                            </div>
                            <div class="entry-content box-border p-3">
                                {% block post %}
                                    {{ content|raw }}
                                {% endblock %}
                            </div>
                        </div>
                    </div>
                </div>
                <!--   Aside Start   -->
                <aside class="post-sidebar">
                    <!-- Toggler Button -->
                    <div class="post-sidebar-toggle">
                        <span></span>
                        <span></span>
                        <span></span>
                    </div>
                    <div class="post-sidebar-content">
                        <!-- Recent Posts -->
                        <div class="aside-contents">
                            <div class="aside-title">
                                <span class="base-color">
                                    {{ trans('theme::field.blog.recent_post') }}
                                </span>
                            </div>
                            <div class="aside-item">
                                <ul class="list-unstyled mb-0">
                                    {% for recent_post in entries('posts', 'posts').limit(5).get() %}
                                        <li>
                                            <i class="fa fa-circle-o base-color" aria-hidden="true"></i>
                                            <a href="{{ recent_post.route('view') }}">
                                                {{ recent_post.title }}
                                            </a>
                                        </li>
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                        <!-- Categories -->
                        <div class="aside-contents">
                            <div class="aside-title">
                                <span class="base-color">
                                    {{ trans('theme::field.categories') }}
                                </span>
                            </div>
                            <div class="aside-item">
                                <ul class="list-unstyled mb-0">
                                    {% for category in entries('posts', 'categories').get() %}
                                        <li class="cat-item">
                                            <i class="fa fa-circle-o base-color" aria-hidden="true"></i>
                                            <a href="{{ category.route('view') }}">{{ category.name }}</a></li>
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                    </div>
                </aside>
                <!--   Aside End   -->
            </div>
        </div>
    </section>
{% endblock %}
